Package org.pgpainless.decryption_verification

# Class SignatureVerification.Failure

java.lang.Object
org.pgpainless.decryption_verification.SignatureVerification.Failure

Enclosing class:
  `SignatureVerification`

public static class SignatureVerification.Failure extends Object
Tuple object of a `SignatureVerification` and the corresponding `SignatureValidationException` that caused the verification to fail.

## Constructor Summary

Constructors
Constructor
Description
`Failure(SignatureVerification verification, SignatureValidationException validationException)`
Construct a signature verification failure object.

## Method Summary

Modifier and Type
Method
Description
`SignatureVerification`
`getSignatureVerification()`
Return the verification (tuple of `PGPSignature` and corresponding `SubkeyIdentifier`) of the signing/verification key.
`SignatureValidationException`
`getValidationException()`
Return the `SignatureValidationException` that caused the verification to fail.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Failure

public Failure(SignatureVerification verification, SignatureValidationException validationException)
Construct a signature verification failure object.

Parameters:
  `verification` - verification
  `validationException` - exception that caused the verification to fail

## Method Details

### getSignatureVerification

public SignatureVerification getSignatureVerification()
Return the verification (tuple of `PGPSignature` and corresponding `SubkeyIdentifier`) of the signing/verification key.

Returns:
  verification

### getValidationException

public SignatureValidationException getValidationException()
Return the `SignatureValidationException` that caused the verification to fail.

Returns:
  exception

### toString

public String toString()

Overrides:
  `toString` in class `Object`